List experiences
curl --request GET \
--url https://api.dizplai.com/v1/experiences \
--header 'x-api-key: <api-key>'import requests
url = "https://api.dizplai.com/v1/experiences"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.dizplai.com/v1/experiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dizplai.com/v1/experiences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dizplai.com/v1/experiences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dizplai.com/v1/experiences")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dizplai.com/v1/experiences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "0192fa7b-8d41-7bbc-9b58-02311fc6ef8e",
"type": "poll",
"status": "live",
"starts_at": null,
"ends_at": null,
"metadata": {
"event_id": "ev_2041"
},
"locale": "en-GB",
"created_at": "2026-11-20T15:02:11Z",
"updated_at": "2026-11-21T20:41:07Z",
"results_visibility": "after_vote",
"requires_sign_in": false,
"question": "Who was your player of the match?",
"options": [
{
"id": "01a1f97a-b538-778f-bad7-0c1c35ff701c",
"label": "Jordan Mensah"
},
{
"id": "01a1f97a-b5a7-7b5b-9458-203a658c1e8d",
"label": "Kai Brennan"
},
{
"id": "01a1f97a-b5cc-7fcf-989c-56ebe53808c5",
"label": "Amara Osei"
}
],
"results": {
"state": "live",
"total_votes": 4210,
"options": [
{
"option_id": "01a1f97a-b538-778f-bad7-0c1c35ff701c",
"votes": 2105,
"percent": 50
},
{
"option_id": "01a1f97a-b5a7-7b5b-9458-203a658c1e8d",
"votes": 1263,
"percent": 30
},
{
"option_id": "01a1f97a-b5cc-7fcf-989c-56ebe53808c5",
"votes": 842,
"percent": 20
}
]
}
},
{
"id": "0192fa7b-a1a5-7ae6-8820-782ce84e0f49",
"type": "fan_voice",
"status": "live",
"starts_at": null,
"ends_at": null,
"metadata": {
"event_id": "ev_2041"
},
"locale": "en-GB",
"created_at": "2026-11-20T15:02:11Z",
"updated_at": "2026-11-21T20:41:07Z",
"requires_sign_in": false,
"prompt": "What's your message for the team?",
"placeholder": "Type your message",
"confirmation_message": "Thanks! Your message is with the team.",
"kinds": [
"text",
"voice",
"image"
],
"limits": {
"max_text_length": 280,
"per_fan": {
"text": 3,
"voice": 1,
"image": 1
}
}
}
],
"next": null
}
Experiences
List experiences
Lists polls and Fan Voices together, for a screen that shows every kind of experience, such as one for a match or a show.
GET
/
experiences
List experiences
curl --request GET \
--url https://api.dizplai.com/v1/experiences \
--header 'x-api-key: <api-key>'import requests
url = "https://api.dizplai.com/v1/experiences"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.dizplai.com/v1/experiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dizplai.com/v1/experiences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dizplai.com/v1/experiences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dizplai.com/v1/experiences")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dizplai.com/v1/experiences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "0192fa7b-8d41-7bbc-9b58-02311fc6ef8e",
"type": "poll",
"status": "live",
"starts_at": null,
"ends_at": null,
"metadata": {
"event_id": "ev_2041"
},
"locale": "en-GB",
"created_at": "2026-11-20T15:02:11Z",
"updated_at": "2026-11-21T20:41:07Z",
"results_visibility": "after_vote",
"requires_sign_in": false,
"question": "Who was your player of the match?",
"options": [
{
"id": "01a1f97a-b538-778f-bad7-0c1c35ff701c",
"label": "Jordan Mensah"
},
{
"id": "01a1f97a-b5a7-7b5b-9458-203a658c1e8d",
"label": "Kai Brennan"
},
{
"id": "01a1f97a-b5cc-7fcf-989c-56ebe53808c5",
"label": "Amara Osei"
}
],
"results": {
"state": "live",
"total_votes": 4210,
"options": [
{
"option_id": "01a1f97a-b538-778f-bad7-0c1c35ff701c",
"votes": 2105,
"percent": 50
},
{
"option_id": "01a1f97a-b5a7-7b5b-9458-203a658c1e8d",
"votes": 1263,
"percent": 30
},
{
"option_id": "01a1f97a-b5cc-7fcf-989c-56ebe53808c5",
"votes": 842,
"percent": 20
}
]
}
},
{
"id": "0192fa7b-a1a5-7ae6-8820-782ce84e0f49",
"type": "fan_voice",
"status": "live",
"starts_at": null,
"ends_at": null,
"metadata": {
"event_id": "ev_2041"
},
"locale": "en-GB",
"created_at": "2026-11-20T15:02:11Z",
"updated_at": "2026-11-21T20:41:07Z",
"requires_sign_in": false,
"prompt": "What's your message for the team?",
"placeholder": "Type your message",
"confirmation_message": "Thanks! Your message is with the team.",
"kinds": [
"text",
"voice",
"image"
],
"limits": {
"max_text_length": 280,
"per_fan": {
"text": 3,
"voice": 1,
"image": 1
}
}
}
],
"next": null
}
Authorizations
Query Parameters
Which statuses to return, comma-separated, such as scheduled,live to show what's coming up as well. live by default. scheduled: coming up, and goes live at starts_at. live: taking votes or messages. closed: taking part has stopped; it can reopen. Experiences your producers take down or delete are never returned.
Available options:
scheduled, live, closed Response
A page of experiences: in the collection's order if you filter by collection_id, otherwise newest first. Draw the types your app knows, and skip any type it doesn't.

